Subject: 30.0.50; `byte-recompile-directory' ignores every file

From: Wing Hei Chan <[email-masked]>
Date: Sat, 5 Aug 2023 13:16:41 +0000

The `ignore-files-regexp' in `byte-recompile-directory' is bound to the
result of (mapconcat #'identity byte-compile-ignore-files "\\|"),
which is simply an empty string when `byte-compile-ignore-files' is
empty.  In turn, this causes every file to be ignored, since
`string-match-p' matches every string when given an empty regexp.